Retrieves the job_estimated_quantity with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "c5c2e213-f300-4582-88f2-80ab9745c1dc",
"estimated_quantity": 2.0,
"article_id": "f94863f4-da7e-4604-a3e2-68378853c160",
"article_code": "sample string 4",
"article": {
"id": "949d3ed6-dbc1-4428-af8f-4a99246fb8c4",
"article_category_id": "60032d98-dede-4b41-9520-aa248a9dbfee",
"article_category": {
"id": "be519d3c-e9de-41a0-b7ba-b0261754a840",
"parent_id": "7ec43e27-129b-4cac-a8e3-d98f986e52dd",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-21T21:19:27.8231456+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "93d09c40-ba71-41b6-a53c-8d3d94c5e6af",
"article_group_1_code": "sample string 5",
"article_group_2_id": "9e0c3c9e-e09d-4d78-9b57-efbce9c7e942",
"article_group_2_code": "sample string 7",
"article_group_3_id": "7a3670b1-7e5f-4aff-8054-c873b4d53d13",
"article_group_3_code": "sample string 9",
"article_group_4_id": "61ba787b-3304-40ee-938a-d8da312e5137",
"article_group_4_code": "sample string 11",
"article_group_5_id": "4811106c-4b10-494c-a0a4-53c0906dfc93",
"article_group_5_code": "sample string 13",
"article_group_6_id": "04fe6390-cd0f-4662-a137-7d35853e3681",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-21T21:19:27.8231456+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-21T21:19:27.8231456+00:00",
"date_update": "2026-10-21T21:19:27.8231456+00:00",
"modified_dateutc": "2026-10-21T21:19:27.8231456+00:00",
"article_color_id": "cea5f5e4-a007-483d-aaed-dc2052efeef5",
"article_color_code": "sample string 38",
"article_color": {
"id": "2397d71f-627f-44bf-b659-954bb0f38348",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-21T21:19:27.8231456+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "1e74fadc-1a04-4d25-9cd5-7a8f58e35579",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "67bfa314-5ccf-4e6f-9752-0a35abaa4d67",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "5507d8b1-976b-473d-8ba4-a67a8fd98212",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "349a3bdd-34e8-4e0f-8d01-f0567838b403",
"_parent_id": "33e02709-c278-42cd-8590-f1bbeddd062d",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "bb2150e2-afb1-4800-9941-660edc3b3f01",
"project_reference_back_office": "sample string 5",
"project": {
"id": "87e4c227-faf8-49b7-8b53-e4330c4a9221",
"_parent_id": "dadd7a05-013e-4fc5-95ea-b8ef501723ad",
"root_parent_id": "ab121813-0514-491d-a15a-d343715f4b01",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "918ab9d6-88f0-44ea-8f8f-ddcadd3be1c3",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "7bc5454f-c920-4381-9766-010bde678845",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "ad5e6dd7-5fdb-4bc1-9107-b1f46db0e7b0",
"_parent_code": "sample string 6",
"sales_organization_id": "a25c5ad4-3a46-4663-9878-df72418ecfa9",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "b3a348a3-279a-462e-9b3b-26e5e0b771c5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "76ea3024-a784-40cd-91a1-902b2a9df6af",
"db_currency_id": "dfdd7071-616a-4e1a-ba8d-0f012d7905ed",
"db_language_id": "c4bdecf8-77e1-4539-adb6-5a060e47bc63",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"equipment_model_id": "4bb86ad9-3698-4b86-aaf6-11ffea03068c",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "3cd00ba9-9e9a-4aa3-89f9-dec733885992",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "44ab376e-dc01-4037-8108-67c48206661f",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "93adc82b-4950-483c-b041-5a39ba9c95c3",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "9ca0b2ea-31ac-4738-bd0d-4ecf96ae0e14",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "b3a348a3-279a-462e-9b3b-26e5e0b771c5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "76ea3024-a784-40cd-91a1-902b2a9df6af",
"db_currency_id": "dfdd7071-616a-4e1a-ba8d-0f012d7905ed",
"db_language_id": "c4bdecf8-77e1-4539-adb6-5a060e47bc63",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"equipment_family_id": "23b9436b-8c5b-4f36-ae68-b9a243f5ddff",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "7bc5454f-c920-4381-9766-010bde678845",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "ad5e6dd7-5fdb-4bc1-9107-b1f46db0e7b0",
"_parent_code": "sample string 6",
"sales_organization_id": "a25c5ad4-3a46-4663-9878-df72418ecfa9",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "b3a348a3-279a-462e-9b3b-26e5e0b771c5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "76ea3024-a784-40cd-91a1-902b2a9df6af",
"db_currency_id": "dfdd7071-616a-4e1a-ba8d-0f012d7905ed",
"db_language_id": "c4bdecf8-77e1-4539-adb6-5a060e47bc63",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"date_in_production_since": "2026-10-21T21:19:27.8415784+00:00",
"date_out_of_production_since": "2026-10-21T21:19:27.8415784+00:00",
"date_end_support": "2026-10-21T21:19:27.8415784+00:00",
"sales_organization_id": "ba24e6b9-e351-44e3-b5f0-8c1819fff780",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "b3a348a3-279a-462e-9b3b-26e5e0b771c5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "76ea3024-a784-40cd-91a1-902b2a9df6af",
"db_currency_id": "dfdd7071-616a-4e1a-ba8d-0f012d7905ed",
"db_language_id": "c4bdecf8-77e1-4539-adb6-5a060e47bc63",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"project_status_id": "4be1e303-eaba-432d-8880-cdef095c3d2f",
"project_status_code": "sample string 10",
"project_status": {
"id": "4462489f-2bb5-492a-a0a3-a919f1b9f6c3",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "2777eb16-bf33-4b73-95a2-2a2ba5f92294",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "b3a348a3-279a-462e-9b3b-26e5e0b771c5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "76ea3024-a784-40cd-91a1-902b2a9df6af",
"db_currency_id": "dfdd7071-616a-4e1a-ba8d-0f012d7905ed",
"db_language_id": "c4bdecf8-77e1-4539-adb6-5a060e47bc63",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"company_id": "6f4d3a8b-f822-4dc7-836e-d1759286a6e5",
"company_code": "sample string 12",
"db_address_id": "9a3ba58b-042a-4618-86df-242e205a9cd8",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "bc8a43cd-c5f2-474e-bb72-984c44c72678",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "7bc47b51-ee5d-4281-b04b-b821f721b921",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-21T21:19:27.8415784+00:00",
"date_create": "2026-10-21T21:19:27.8415784+00:00",
"date_update": "2026-10-21T21:19:27.8415784+00:00",
"updated_by_user_id": "aa8e9886-027e-4cb8-ba27-45053be83793",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-21T21:19:27.8415784+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-21T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-21T21:19:27.8415784+00:00",
"date_last_job": "2026-10-21T21:19:27.8415784+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-21T21:19:27.8415784+00:00",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00",
"is_mobile_installation": true
},
"job_type_id": "cbbe2fb6-4f1f-41e2-bd34-c604a27b11a6",
"job_type_code": "sample string 7",
"job_type": {
"id": "8931ae37-ccfd-4e51-a8ae-4a3cbdc33bb8",
"name": "sample string 2",
"sales_organization_id": "1bcf0d76-6a39-48d3-b6bf-7659edf887e6",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00",
"code": "sample string 7"
},
"job_priority_id": "8f5ce3c5-122d-4e42-b32b-0ff7bb42b365",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "08f21391-d5a2-4b0e-b560-47f9ad763ba6",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "692b5c7d-6c49-43e4-a7ad-f930cd890f2b",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "b3a348a3-279a-462e-9b3b-26e5e0b771c5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "76ea3024-a784-40cd-91a1-902b2a9df6af",
"db_currency_id": "dfdd7071-616a-4e1a-ba8d-0f012d7905ed",
"db_language_id": "c4bdecf8-77e1-4539-adb6-5a060e47bc63",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"job_status_id": "376930d6-f82c-422a-aa9b-3ece50e28753",
"job_status_code": "sample string 11",
"db_address_id": "8d14b2f5-b7f2-4565-99ec-2b0ed763373e",
"contact_id": "3945582b-68f9-48fd-9118-3c10a947b1dc",
"requested_by_company_id": "63d9893b-b0e6-4021-a921-739d67a02167",
"requested_by_contact_id": "91f7c49a-1203-4c3d-bfcb-56dc21137b83",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-10-21T21:19:27.8415784+00:00",
"due_date": "2026-10-21T21:19:27.8415784+00:00",
"date_create": "2026-10-21T21:19:27.8415784+00:00",
"date_update": "2026-10-21T21:19:27.8415784+00:00",
"date_closed": "2026-10-21T21:19:27.8415784+00:00",
"suggested_user_id": "f0f960a2-121a-46ba-be1c-ad533fe5246c",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "f38ebc8b-6daa-473c-94d1-9ba4450b6ffe",
"db_language_id": "4be277eb-f94b-4e1e-ac8b-354bb3b3f51f",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-21T21:19:27.8415784+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "aabcffd2-2514-41f4-818a-de753ff8018e",
"sales_organization": {
"id": "b3a348a3-279a-462e-9b3b-26e5e0b771c5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "76ea3024-a784-40cd-91a1-902b2a9df6af",
"db_currency_id": "dfdd7071-616a-4e1a-ba8d-0f012d7905ed",
"db_language_id": "c4bdecf8-77e1-4539-adb6-5a060e47bc63",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "7b53f1a0-2d3d-4b0b-bb41-22672d1e4c6c",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "a76937bb-a44c-40aa-967a-c9ef4ba59d54",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "a7fc98e4-15eb-4ee4-aed0-ba767e2d4b9d"
},
"suggested_date_start": "2026-10-21T21:19:27.8415784+00:00",
"skill_id": "13a03ae7-cedd-47d5-bb34-1ceae48a6f71",
"skill_code": "sample string 32",
"skill": {
"id": "c1091b17-a167-41fa-9bae-de5aaf364d6d",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "09af024e-f91a-4798-a10d-7a1f25627b9a",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "b3a348a3-279a-462e-9b3b-26e5e0b771c5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "76ea3024-a784-40cd-91a1-902b2a9df6af",
"db_currency_id": "dfdd7071-616a-4e1a-ba8d-0f012d7905ed",
"db_language_id": "c4bdecf8-77e1-4539-adb6-5a060e47bc63",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "b716e493-5217-4152-9394-39add05e2d09",
"date_reported_by_company": "2026-10-21T21:19:27.8415784+00:00",
"id2": 36,
"company_id": "f4317a08-e4c1-42c6-88cd-0fc006ac7739",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "52bf93e7-5a24-40c8-ac3c-62440e85b247",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-21T21:19:27.8415784+00:00"
}